diff --git a/web/pgadmin/dashboard/static/js/Dashboard.jsx b/web/pgadmin/dashboard/static/js/Dashboard.jsx
index 4c0d91874..4b7d779cc 100644
--- a/web/pgadmin/dashboard/static/js/Dashboard.jsx
+++ b/web/pgadmin/dashboard/static/js/Dashboard.jsx
@@ -128,7 +128,7 @@ export default function Dashboard({
   const [msg, setMsg] = useState('');
   const[infoMsg, setInfo] = useState('');
   const [val, setVal] = useState(0);
-  const [refresh, setRefresh] = useState();
+  const [refresh, setRefresh] = useState(false);
   const [schemaDict, setSchemaDict] = React.useState({});
 
   if (!did) {
@@ -235,6 +235,7 @@ export default function Dashboard({
                       if (res.data == gettext('Success')) {
                         setInfo(txtSuccess);
                         Notify.success(txtSuccess);
+                        setRefresh(!refresh);
                       } else {
                         setInfo(txtError);
                         Notify.error(txtError);
@@ -769,9 +770,6 @@ export default function Dashboard({
     if (message != '') {
       setMsg(message);
     }
-    return () => {
-      setRefresh();
-    };
   }, [nodeData, val, did, preferences, infoMsg, refresh, props.dbConnected]);
 
   const RefreshButton = () =>{
@@ -783,7 +781,7 @@ export default function Dashboard({
         icon={<CachedIcon />}
         onClick={(e) => {
           e.preventDefault();
-          setRefresh(true);
+          setRefresh(!refresh);
         }}
         color="default"
         aria-label="Refresh"
diff --git a/web/pgadmin/misc/properties/CollectionNodeProperties.jsx b/web/pgadmin/misc/properties/CollectionNodeProperties.jsx
index 9d340914d..5823fed4b 100644
--- a/web/pgadmin/misc/properties/CollectionNodeProperties.jsx
+++ b/web/pgadmin/misc/properties/CollectionNodeProperties.jsx
@@ -122,8 +122,8 @@ export function CollectionNodeView({
     if (selNode && selNode.type && selNode.type == 'coll-constraints') {
       // In order to identify the constraint type, the type should be passed to the server
       selRows = selRowModels.map((row) => ({
-        id: row.get('oid'),
-        _type: row.get('_type'),
+        id: row.original.oid,
+        _type: row.original._type,
       }));
     } else {
       selRows = selRowModels.map((row) => row.original.oid);
